Bug 867214 - "KVM internal error. Suberror: 2 " occures when running "boot from USB " job in SVVP
"KVM internal error. Suberror: 2 " occures when running "boot from USB " job ...
Status: CLOSED DUPLICATE of bug 854448
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.4
Unspecified Unspecified
medium Severity high
: rc
: ---
Assigned To: Gerd Hoffmann
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-17 01:20 EDT by Mike Cao
Modified: 2013-10-11 00:41 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-19 05:11:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Cao 2012-10-17 01:20:09 EDT
Description of problem:


Version-Release number of selected component (if applicable):
# uname -r ;rpm -q qemu-kvm
2.6.32-301.el6.x86_64
qemu-kvm-0.12.1.2-2.307.el6.x86_64

How reproducible:
only 1 time 

Steps to Reproduce:
1.Start VM 
CLI:/usr/libexec/qemu-kvm -boot menu=on -m 16G -smp 8 -cpu Nehalem,+x2apic,family=0xf -usb -device usb-tablet -drive file=win2012-64-sut.raw,format=raw,if=none,id=drive-ide0,cache=none,werror=stop,rerror=stop -device ide-drive,drive=drive-ide0,id=ide-drive0 -netdev tap,sndbuf=0,id=hostnet0,script=/etc/qemu-ifup,downscript=no -device rtl8139,netdev=hostnet0,mac=00:52:43:75:51:01,bus=pci.0,addr=0x4,id=virtio-net-pci0 -uuid a19b1188-7550-448b-908b-75980afea207 -rtc base=localtime,clock=host,driftfix=slew -no-kvm-pit-reinjection -chardev socket,id=111a,path=/tmp/sut-2012,server,nowait -mon chardev=111a,mode=readline -name win2k8-R2-sut -vnc :2 -drive file=en_windows_server_2012_x64_dvd_915478.iso,media=cdrom,id=cdrom,if=none -device ide-drive,drive=cdrom -monitor unix:/tmp/tt_w2012,server,nowait -netdev tap,sndbuf=0,id=hostnet1,script=/etc/qemu-ifup,downscript=no -device rtl8139,netdev=hostnet1,mac=00:52:00:43:51:01,bus=pci.0,addr=0x9,id=virtio-net-pci1 -device usb-ehci,id=usb-uhci0 -drive file=usb.img,format=raw,if=none,werror=stop,rerror=stop,id=usb -device usb-storage,bootindex=1,drive=usb,bus=usb-uhci0.0,removable=on,serial="1234-123-232",create_unique_serial=1 --no-reboot

1.running HCK SVVP "boot from usb " job 
2.boot from usb according to HCK job required 

  
Actual results:
usb-msd: Bad signature 000024ad
Request for more bytes than allowed
processing error - resetting ehci HC

KVM internal error. Suberror: 2
extra data[0]: 80000006
extra data[1]: 80000202
rax 000000005e26f695 rbx 000000000009ff80 rcx 0000000000000292 rdx 00000000fffffffd
rsi 00000000000d0d80 rdi 0000000000000005 rsp 000000000000985e rbp 00000000000085c9
r8  0000000000000000 r9  0000000000000000 r10 0000000000000000 r11 0000000000000000
r12 0000000000000000 r13 0000000000000000 r14 0000000000000000 r15 0000000000000000
rip 0000000000000027 rflags 00000086
cs 0000 (00000000/0000ffff p 1 dpl 3 db 0 s 1 type 3 l 0 g 0 avl 0)
ds 9f00 (0009f000/0000ffff p 1 dpl 3 db 0 s 1 type 3 l 0 g 0 avl 0)
es 9ff9 (0009ff90/0000ffff p 1 dpl 3 db 0 s 1 type 3 l 0 g 0 avl 0)
ss 9f00 (0009f000/0000ffff p 1 dpl 3 db 0 s 1 type 3 l 0 g 0 avl 0)
fs 0000 (00000000/0000ffff p 1 dpl 3 db 0 s 1 type 3 l 0 g 0 avl 0)
gs 0000 (00000000/0000ffff p 1 dpl 3 db 0 s 1 type 3 l 0 g 0 avl 0)
tr 0040 (feffd000/00002088 p 1 dpl 0 db 0 s 0 type b l 0 g 0 avl 0)
ldt 0000 (00000000/ffffffff p 0 dpl 0 db 0 s 0 type 0 l 0 g 0 avl 0)
gdt 1f000/7f
idt 0/ffff
cr0 10 cr2 0 cr3 0 cr4 0 cr8 0 efer 0


onitor unix:/tmp/tt_w2012,server,nowait -netdev tap,sndbuf=0,id=hostnet1,script=/etc/qemu-ifup,downscript=no -device rtl8139,netdev=hostnet1,mac=00:52:00:43:51:01,bus=pci.0,addr=0x9,id=virtio-net-pci1 -device usb-ehci,id=usb-uhci0 -drive file=usb.img,format=raw,if=none,werror=stop,rerror=stop,id=usb -device usb-storage,bootindex=1,drive=usb,bus=usb-uhci0.0,removable=on,serial="1234-123-232",create_unique_serial=1 --no-reboot
usb-msd: Bad signature 000024ad
Request for more bytes than allowed
processing error - resetting ehci HC

KVM internal error. Suberror: 2
extra data[0]: 80000006
extra data[1]: 80000202
rax 000000005e26f695 rbx 000000000009ff80 rcx 0000000000000292 rdx 00000000fffffffd
rsi 00000000000d0d80 rdi 0000000000000005 rsp 000000000000985e rbp 00000000000085c9
r8  0000000000000000 r9  0000000000000000 r10 0000000000000000 r11 0000000000000000
r12 0000000000000000 r13 0000000000000000 r14 0000000000000000 r15 0000000000000000
rip 0000000000000027 rflags 00000086
cs 0000 (00000000/0000ffff p 1 dpl 3 db 0 s 1 type 3 l 0 g 0 avl 0)
ds 9f00 (0009f000/0000ffff p 1 dpl 3 db 0 s 1 type 3 l 0 g 0 avl 0)
es 9ff9 (0009ff90/0000ffff p 1 dpl 3 db 0 s 1 type 3 l 0 g 0 avl 0)
ss 9f00 (0009f000/0000ffff p 1 dpl 3 db 0 s 1 type 3 l 0 g 0 avl 0)
fs 0000 (00000000/0000ffff p 1 dpl 3 db 0 s 1 type 3 l 0 g 0 avl 0)
gs 0000 (00000000/0000ffff p 1 dpl 3 db 0 s 1 type 3 l 0 g 0 avl 0)
tr 0040 (feffd000/00002088 p 1 dpl 0 db 0 s 0 type b l 0 g 0 avl 0)
ldt 0000 (00000000/ffffffff p 0 dpl 0 db 0 s 0 type 0 l 0 g 0 avl 0)
gdt 1f000/7f
idt 0/ffff
cr0 10 cr2 0 cr3 0 cr4 0 cr8 0 efer 0

Expected results:
Boot from USB successfully

Additional info:
SVVP "Boot from usb job " is a automated job run by HCK . it does following steps:
1. Provision the USB Drive with WinPE
2. Hibernate the host OS and attempt to boot from the USB drive
3. Reboot the system from the USB drive 3 times
4. Boot back into to host OS and format the USB drive

Since now we can not choose boot from usb in monitor ,I need --no-reboot option ,when guest reboot automatically ,I add bootindex for the usb storage 
then guest stop due to "KVM internal error. Suberror: 2"
Comment 1 Mike Cao 2012-10-17 01:42:34 EDT
Reproduced one more time :


KVM internal error. Suberror: 1
rax 0000000000004200 rbx 0000000000000000 rcx 0000000000000000 rdx 0000000000000000
rsi 0000000000000000 rdi 0000000000000000 rsp 0000000000001456 rbp 0000000000000000
r8  0000000000000000 r9  0000000000000000 r10 0000000000000000 r11 0000000000000000
r12 0000000000000000 r13 0000000000000000 r14 0000000000000000 r15 0000000000000000
rip 000000000000a7b0 rflags 00010046
cs a6ea (000a6ea0/0000ffff p 1 dpl 3 db 0 s 1 type 3 l 0 g 0 avl 0)
ds 3fe4 (0003fe40/0000ffff p 1 dpl 3 db 0 s 1 type 3 l 0 g 0 avl 0)
es 0000 (00000000/0000ffff p 1 dpl 3 db 0 s 1 type 3 l 0 g 0 avl 0)
ss 24ad (00024ad0/0000ffff p 1 dpl 3 db 0 s 1 type 3 l 0 g 0 avl 0)
fs 0000 (00000000/0000ffff p 1 dpl 3 db 0 s 1 type 3 l 0 g 0 avl 0)
gs 0000 (00000000/0000ffff p 1 dpl 3 db 0 s 1 type 3 l 0 g 0 avl 0)
tr 0040 (feffd000/00002088 p 1 dpl 0 db 0 s 0 type b l 0 g 0 avl 0)
ldt 0000 (00000000/ffffffff p 0 dpl 0 db 0 s 0 type 0 l 0 g 0 avl 0)
gdt 1f000/7f
idt 0/ffff
cr0 10 cr2 0 cr3 0 cr4 0 cr8 0 efer 0
emulation failure, check dmesg for details


#dmesg
vmx_handle_exit: unexpected, valid vectoring info (0x80000006) and exit reason is 0x1
vmx_handle_exit: unexpected, valid vectoring info (0x80000006) and exit reason is 0x1

in a loop
Comment 12 Gerd Hoffmann 2012-10-19 05:11:05 EDT

*** This bug has been marked as a duplicate of bug 854448 ***

Note You need to log in before you can comment on or make changes to this bug.